Subject: Re: [PATCH net-next v3 2/3] mv88e6xxx: Refactor 6352's serdes functions

From: Jakub Kicinski <[email-masked]>
Date: Mon, 1 Jun 2026 19:13:51 -0700

On Thu, 28 May 2026 23:03:09 +0200 Fidan Aliyeva wrote:
> 1. Replace serdes check by mv88e6352_g2_scratch_port_has_serdes in
> mv88e6352_pcs_init function by mv88e6xxx_serdes_get_lane function making it
> more generic.
> 2. Replace serdes checks in mv88e6352_serdes_get_* functions with
> mv88e6xxx_serdes_get_lane making them more generic.
> 3. Add lane argument to mv88e6352_serdes_read so it can be reused later for
> 6321.

For the future -- if you're making a list in the commit message your
should rethink whether the commit should be split into multiple
individual changes..